package manalichricard.android.uoc.edu.discaparking;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.RadioButton;
import android.widget.TextView;

import manalichricard.android.uoc.edu.discaparking.model.Parking;

public class WarningActivity extends AppCompatActivity {


    private Parking mParking;
    private RadioButton radioButton_construction, radioButton_not_exists, radioButton_other;
    private EditText editText_other;
    private TextView textView_other;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_warning);

        radioButton_construction = (RadioButton) findViewById(R.id.rb_warning_construction);
        radioButton_not_exists = (RadioButton) findViewById(R.id.rb_warning_not_exists);
        radioButton_other = (RadioButton) findViewById(R.id.rb_warning_other);
        editText_other = (EditText) findViewById(R.id.et_warning_other);
        textView_other = (TextView) findViewById(R.id.tv_warning_other);

        editText_other.setVisibility(View.INVISIBLE);
        textView_other.setVisibility(View.INVISIBLE);
        mParking = (Parking) getIntent().getExtras().getSerializable("parking");
    }

    // Add warning in database
    public void onClickAddWarning(View view) {
        mParking.setIsWarning(true);
        String warningText = "";
        if (radioButton_construction.isChecked()) {
            warningText = getResources().getString(R.string.in_construccion_bdd);
        } else if (radioButton_not_exists.isChecked()) {
            warningText = getResources().getString(R.string.not_exists_bdd);
        } else if (radioButton_other.isChecked()) {
            warningText = editText_other.getText().toString();
            if(editText_other.getText().toString().isEmpty()) editText_other.setText(" ");
        }

        mParking.setWarning(warningText);
        Intent warning = new Intent();
        warning.putExtra("parking", mParking);
        setResult(RESULT_OK, warning);
        finish();
    }

    // Hide/show other control
    public void onRadioButtonClicked(View view) {
        boolean checked = ((RadioButton) view).isChecked();

        switch(view.getId()) {
            case R.id.rb_warning_construction:
            case R.id.rb_warning_not_exists:
                if (checked)
                    editText_other.setVisibility(View.INVISIBLE);
                    textView_other.setVisibility(View.INVISIBLE);
                break;
            case R.id.rb_warning_other:
                if (checked)
                    editText_other.setVisibility(View.VISIBLE);
                    textView_other.setVisibility(View.VISIBLE);
                    break;
        }
    }

    public void onCancel(View view){
        finish();
    }
}
